﻿<?xml version="1.0"?>
<xsl:stylesheet version="1.1"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="title" select="document('style.inc.xml')/title" />
<xsl:template match="/">
   <HTML>  


<xsl:choose>
<xsl:when test="not(Raw/content = '-- No Record --')">
		<link>
				<xsl:attribute name="rel">stylesheet</xsl:attribute>
				<xsl:attribute name="href">style.1.css</xsl:attribute>
				<xsl:attribute name="type">text/css</xsl:attribute> 
		</link>
</xsl:when>
<xsl:otherwise>
		<link>
				<xsl:attribute name="rel">stylesheet</xsl:attribute>
				<xsl:attribute name="href">style.2.css</xsl:attribute>
				<xsl:attribute name="type">text/css</xsl:attribute> 
		</link>
</xsl:otherwise>
</xsl:choose>

<table width ='100%'>
<tr><td><div class = 'title'>
<xsl:value-of select="Raw/title"/>
</div></td></tr>
<tr><td><br/><br/></td></tr>
<!--Start-->
<xsl:if test="Raw/commands and Raw/company and Raw/description and not((Raw/commands = '') and (Raw/company = '') and (Raw/description = ''))">
<tr><td><div class = 'sub_title'><xsl:value-of select='$title/description'/></div></td></tr>
<tr><td><div class = 'content'>
<table><tr><td>&#160;&#160;</td><td>
<pre>--<xsl:value-of select='$title/command'/><br/>
<xsl:for-each select="Raw/commands">
		<xsl:value-of select="command"/><br/>
</xsl:for-each>
--<xsl:value-of select='$title/company'/><br/>
<xsl:value-of select="Raw/company"/> <xsl:if test="Raw/link and not(Raw/link = '')">(<a><xsl:attribute name="href"><xsl:value-of select="Raw/link"/></xsl:attribute><xsl:value-of select="Raw/link"/></a>)</xsl:if>


--<xsl:value-of select='$title/description'/><br/>
<div id = 'desc'><xsl:value-of select="Raw/description" disable-output-escaping="yes"/>
</div>

</pre></td></tr>
</table></div></td></tr>
<tr><td><xsl:text>&#160;</xsl:text></td></tr>
</xsl:if>
<!--End-->
<!--Start-->
<xsl:if test="Raw/hash">
	<tr><td><div class = 'sub_title'><xsl:value-of select='$title/hash'/></div></td></tr>
	<tr><td><div class = 'content'><table><tr><td>&#160;&#160;</td><td>
	<xsl:choose>
		<xsl:when test="Raw/hash = 'Success'">
				<pre><xsl:value-of select="Raw/hash"/></pre>
		</xsl:when>
		<xsl:otherwise>
				<pre><font color='red'><xsl:value-of select="Raw/hash"/></font></pre>
		</xsl:otherwise>
	</xsl:choose>
	</td></tr></table></div></td></tr>
	<tr><td><xsl:text>&#160;</xsl:text></td></tr>
</xsl:if>
<!--End-->
<!--Start-->
<xsl:if test="Raw/START_TIME and not(Raw/START_TIME = '')">
	<tr><td><div class = 'sub_title'><xsl:value-of select='$title/start'/></div></td></tr>
	<tr><td><div class = 'content'><table><tr><td>&#160;&#160;</td><td><pre><xsl:value-of select="Raw/START_TIME"/></pre></td></tr></table></div></td></tr>
	<tr><td><xsl:text>&#160;</xsl:text></td></tr>
</xsl:if>
<!--End-->
<!--Start-->
<xsl:if test="Raw/END_TIME and not(Raw/END_TIME = '')">
	<tr><td><div class = 'sub_title'><xsl:value-of select='$title/end'/></div></td></tr>
	<tr><td><div class = 'content'><table><tr><td>&#160;&#160;</td><td><pre><xsl:value-of select="Raw/END_TIME"/></pre></td></tr></table></div></td></tr>
	<tr><td><xsl:text>&#160;</xsl:text></td></tr>
</xsl:if>
<!--End-->
<!--Start-->
<tr><td><div class = 'sub_title'><xsl:value-of select='$title/output'/></div></td></tr>
<tr><td>
<div id = 'content' class = 'content'>
<table><tr><td>&#160;&#160;</td><td>
						<xsl:if test="Raw/content">
	<xsl:choose>
			<xsl:when test="not(Raw/hash) or (Raw/hash and Raw/hash = 'Success')">
				<pre cols='100'><div id = 'esc'><xsl:value-of select="Raw/content" disable-output-escaping="yes"/></div></pre>
		</xsl:when>
		<xsl:otherwise>
				<pre cols='100'><font color='red'><div id = 'esc'><xsl:value-of select="Raw/content" disable-output-escaping="yes"/></div></font></pre>
		</xsl:otherwise>
</xsl:choose>
</xsl:if>
<xsl:if test="Raw/image">
		<img><xsl:attribute name="src"><xsl:value-of select="Raw/image"/></xsl:attribute></img>
</xsl:if>
<xsl:if test="Raw/file">
		<table>
		<xsl:for-each select="Raw/file">
				<tr>
						<td><a><xsl:attribute name="href"><xsl:value-of select="location"/></xsl:attribute><xsl:value-of select="name"/></a></td>
				</tr>
		</xsl:for-each>
		</table>
</xsl:if>
<xsl:if test="Raw/images">
		<table>
		<xsl:for-each select="Raw/images">
				<tr>
						<td><img><xsl:attribute name="src"><xsl:value-of select="image"/></xsl:attribute></img></td>
				</tr>
		</xsl:for-each>
		</table>
</xsl:if><!-- disable-output-escaping is IE only -->
</td></tr></table></div>
<xsl:if test="Raw/content">
	<xsl:if test="system-property('xsl:vendor')='Transformiix'">
		<!-- these javascript code is used for non-IE -->
		<script language="javascript">
			var el = document.getElementById("esc");
			el.innerHTML = el.textContent;
			var el2 = document.getElementById("desc");
			el2.innerHTML = el2.textContent;
		</script>
	</xsl:if>
</xsl:if>
<tr><td><xsl:text>&#160;</xsl:text></td></tr>
</td></tr>
<!--End-->
<!--Start-->
<xsl:if test="Raw/error and not(Raw/error = '')">
<tr><td><div class = 'sub_title'><xsl:value-of select='$title/error'/></div></td></tr>
<tr><td>
<div class = 'content'>
<table><tr><td>&#160;&#160;</td><td>
<pre><xsl:value-of select="Raw/error"/></pre>
</td></tr></table></div>
<tr><td><xsl:text>&#160;</xsl:text></td></tr>
</td></tr>
</xsl:if>
<!--End-->
</table>

   </HTML>
 </xsl:template> 

</xsl:stylesheet>
